## libfdf 0.5.0

=== debian/changelog ===
libfdf (0.5.0-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Sun, 01 Oct 2023 17:56:12 +0200

## libfdf 0.5.1

=== config/CMakeLists.txt ===

option(BUILD_SHARED_LIBS "Whether the libraries built should be shared" FALSE)

set(
  module-dir
  "${PROJECT_NAME}/${CMAKE_Fortran_COMPILER_ID}-${CMAKE_Fortran_COMPILER_VERSION}"
)
set(module-dir "${module-dir}" PARENT_SCOPE)

# Avoid "liblibfdf.a" names...
set(LIBRARY_OUTPUT_NAME "fdf")
set(LIBRARY_OUTPUT_NAME "${LIBRARY_OUTPUT_NAME}" PARENT_SCOPE)


# Set build type as CMake does not provide defaults
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(
    CMAKE_BUILD_TYPE "RelWithDebInfo"
    CACHE STRING "Build type to be used."
    FORCE
  )
  message(
    STATUS
    "Setting build type to '${CMAKE_BUILD_TYPE}' as none was specified."
  )
endif()

include(CMakePackageConfigHelpers)
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/template.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  VERSION "${PROJECT_VERSION}"
  COMPATIBILITY SameMinorVersion
)
install(
  FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/template.pkgconf"
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
  @ONLY
)
install(
  FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)

=== src/CMakeLists.txt ===
set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(
  APPEND srcs
  ${dir}/fdf.F90
  ${dir}/io_fdf.F90
  ${dir}/legacy_units.F90
  ${dir}/parse.F90
  ${dir}/prec.F90
  ${dir}/utils.F90
)

set(srcs "${srcs}" PARENT_SCOPE)

=== tests/CMakeLists.txt ===

add_executable(
  fdf-tester
  sample.F90
)
add_executable(
  test-units
  test-units.f90 units.f90
)
add_executable(
  test-ambiguous-units
  test-ambiguous-units.f90 units-ambiguous.f90
)

target_link_libraries(
  fdf-tester
  PRIVATE
  "${PROJECT_NAME}-lib"
)
target_link_libraries(
  test-units
  PRIVATE
  "${PROJECT_NAME}-lib"
)
target_link_libraries(
  test-ambiguous-units
  PRIVATE
  "${PROJECT_NAME}-lib"
)

file(MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/install_tests")

file(COPY units-test.fdf ambiguous-units.fdf sample.fdf coords.fdf Coords.dat Otherfile XY.fdf
     DESTINATION "${PROJECT_BINARY_DIR}/install_tests")

add_test(  NAME    fdf-sample-test
           COMMAND $<TARGET_FILE:fdf-tester>
	   WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/install_tests"
	)

add_test(  NAME    fdf-units-test
           COMMAND $<TARGET_FILE:test-units>
	   WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/install_tests"
	)

add_test(  NAME    fdf-ambiguous-units-test
           COMMAND $<TARGET_FILE:test-ambiguous-units>
	   WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/install_tests"
	)

set_property (TEST fdf-sample-test
              PROPERTY PASS_REGULAR_EXPRESSION "Polar | Enabled")

set_property (TEST fdf-units-test
              PROPERTY PASS_REGULAR_EXPRESSION "472491909")

set_property (TEST fdf-ambiguous-units-test
              PROPERTY PASS_REGULAR_EXPRESSION "Ambiguous")

=== debian/changelog ===
libfdf (0.5.1-2) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Dec 2023 18:53:07 +0100

=== debian/control ===
Source: libfdf
Section: libdevel
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               gfortran
Standards-Version: 4.1.3
Homepage: https://gitlab.com/siesta-project/libraries/libfdf
Vcs-Browser: https://salsa.debian.org/debichem-team/libfdf
Vcs-Git: https://salsa.debian.org/debichem-team/libfdf.git

Package: libfdf-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SIESTA Flexible Data Format library (development files)
 FDF stands for Flexible Data Format, designed within the Siesta project
 to simplify the handling of input options. It is based on a keyword/
 value paradigm (including physical units when relevant), supplemented
 by blocks for arbitrarily complex blobs of data and lists.
 .
 LibFDF is the official implementation of the FDF specifications for use
 in client codes. At present the FDF format is used extensively by
 Siesta, and it has been an inspiration for several other code-specific
 input formats.
 .
 This package contains the static libraries and the header files.

=== debian/watch ===
version=4
  https://gitlab.com/siesta-project/libraries/libfdf/tags?sort=updated_desc archive/v?\d[\d.]+/libfdf-v?([\d.]+)@ARCHIVE_EXT@
